#ifndef KERNEL_ERROR_H
#define KERNEL_ERROR_H

#include "kernel/types.h"

typedef enum {
	KERROR_NOT_FOUND = -1,
	KERROR_INVALID_REQUEST = -2,
	KERROR_PERMISSION_DENIED = -3,
	KERROR_NOT_IMPLEMENTED = -4,
	KERROR_NOT_EXECUTABLE = -5,
	KERROR_EXECUTION_FAILED = -6,
	KERROR_NOT_A_DIRECTORY = -7,
	KERROR_NOT_A_FILE = -8,
	KERROR_NOT_A_WINDOW = -9,
	KERROR_NOT_A_DEVICE = -10,
	KERROR_NOT_A_CONSOLE = -11,
	KERROR_NOT_A_PIPE = -12,
	KERROR_INVALID_SYSCALL = -13,
	KERROR_INVALID_OBJECT = -14,
	KERROR_INVALID_ADDRESS = -15,
	KERROR_INVALID_PATH = -16,
	KERROR_INVALID_TAG = -17,
	KERROR_OUT_OF_MEMORY = -18,
	KERROR_OUT_OF_OBJECTS = -19,
	KERROR_OUT_OF_SPACE = -20,
	KERROR_FILE_EXISTS = -21,
	KERROR_NOT_EMPTY = -22,
} kernel_error_t;

#endif
